Segmentation fault when running 'flow' with wrong arguments

Bug #1734896 reported by Andrei Bunghez on 2017-11-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R3.2
Fix Committed
Medium
Kumar Harsh
R4.0
Won't Fix
Medium
Kumar Harsh
R4.1
Fix Committed
Medium
Kumar Harsh
R5.0
Fix Committed
Medium
Kumar Harsh
Trunk
Fix Committed
Medium
Kumar Harsh

Bug Description

Hi everybody,

When running the flow utility on a compute node with a malformed matching filter expression, a segmentation fault occurs, e.g.:

# flow --match "& 10.2.1.1"
Segmentation fault

or:

# flow --match ", "
Segmentation fault

I am using opencontrail 3.2.6 running in a setup with 1 Openstack (newton) node, 1 Contrail controller and 2 compute nodes. However, the flow table is empty (or, actually, does not matter):

# flow -l
Flow table(size 80609280, entries 629760)

Entries: Created 0 Added 0 Deleted 0 Changed 0 Processed 0 Used Overflow entries 0
(Created Flows/CPU: 0 0 0 0)(oflows 0)

Action:F=Forward, D=Drop N=NAT(S=SNAT, D=DNAT, Ps=SPAT, Pd=DPAT, L=Link Local Port)
 Other:K(nh)=Key_Nexthop, S(nh)=RPF_Nexthop
 Flags:E=Evicted, Ec=Evict Candidate, N=New Flow, M=Modified Dm=Delete Marked
TCP(r=reverse):S=SYN, F=FIN, R=RST, C=HalfClose, E=Established, D=Dead

    Index Source:Port/Destination:Port Proto(V)
-----------------------------------------------------------------------------------
#

Thanks,
Andrei

Jeba Paulaiyan (jebap) on 2018-03-13
tags: added: analytics
tags: added: vrouter
removed: analytics
Ashok Singh (ashoksr) on 2018-07-02
Changed in opencontrail:
assignee: nobody → Kumar Harsh (hkumar)

Review in progress for https://review.opencontrail.org/45003
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/45004
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/45013
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/45014
Submitter: Kumar Harsh (<email address hidden>)

Review in progress for https://review.opencontrail.org/45015
Submitter: Kumar Harsh (<email address hidden>)

Reviewed: https://review.opencontrail.org/45003
Committed: http://github.com/Juniper/contrail-vrouter/commit/071aca128c3e1147370bbbc3d5bcf1b994c8ac34
Submitter: Zuul v3 CI (<email address hidden>)
Branch: master

commit 071aca128c3e1147370bbbc3d5bcf1b994c8ac34
Author: Kumar Harsh <email address hidden>
Date: Fri Jul 27 17:03:25 2018 +0530

Filter expression should not start with a
separator as its a malformed request in vrouter cli.

Closes-Bug: #1734896

Change-Id: Iad450df0d9196a90d2cf5bd51e41c79a9d00b47e

Reviewed: https://review.opencontrail.org/45004
Committed: http://github.com/Juniper/contrail-vrouter/commit/32589f0940d1db27ea4d34a29afd4827b0bf65b3
Submitter: Zuul v3 CI (<email address hidden>)
Branch: R5.0

commit 32589f0940d1db27ea4d34a29afd4827b0bf65b3
Author: Kumar Harsh <email address hidden>
Date: Fri Jul 27 17:03:25 2018 +0530

Filter expression should not start with a
separator as its a malformed request in vrouter cli.

Closes-Bug: #1734896

Change-Id: Iad450df0d9196a90d2cf5bd51e41c79a9d00b47e

Reviewed: https://review.opencontrail.org/45015
Committed: http://github.com/Juniper/contrail-vrouter/commit/09d51926e08a82eb69aca00d46f49e3bafbc1d1e
Submitter: Zuul (<email address hidden>)
Branch: R4.1

commit 09d51926e08a82eb69aca00d46f49e3bafbc1d1e
Author: Kumar Harsh <email address hidden>
Date: Fri Jul 27 17:03:25 2018 +0530

Filter expression should not start with a
separator as its a malformed request in vrouter cli.

Closes-Bug: #1734896

Change-Id: Iad450df0d9196a90d2cf5bd51e41c79a9d00b47e

no longer affects: opencontrail

Reviewed: https://review.opencontrail.org/45013
Committed: http://github.com/Juniper/contrail-vrouter/commit/6b0b221012407c0a93b248fbf9d83f265be732f5
Submitter: Zuul (<email address hidden>)
Branch: R3.2

commit 6b0b221012407c0a93b248fbf9d83f265be732f5
Author: Kumar Harsh <email address hidden>
Date: Fri Jul 27 17:03:25 2018 +0530

Filter expression should not start with a
separator as its a malformed request in vrouter cli.

Closes-Bug: #1734896

Change-Id: Iad450df0d9196a90d2cf5bd51e41c79a9d00b47e

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers